Bug Hunting Session
Bug 89990 - Start Center: Recent document thumbnails tooltip doesn't show file path when extended tooltips active
Summary: Start Center: Recent document thumbnails tooltip doesn't show file path when ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 73228 (view as bug list)
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2015-03-13 13:53 UTC by V Stuart Foote
Modified: 2019-06-29 22:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2015-03-13 13:53:16 UTC
On Windows 7 sp1, 64-bit en-US with
Version: 4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55
Locale: en_US

STR

If "Extended tips" are active (Tools -> Options ->  General: Help) the mouse over tooltip for each recently used document does not show. Rather just the generic "Click and icon on the left pane..." shows at various positions on the frame.

Disable "Extended tips" and correct tooltip in a single URL are again displayed in proximity to the active thumbnail.

Notice that on a recent builds of master, the "Extended tips" provides a tooltip of path including line breaks.  So it has been worked on, but is not correct in 4.4 builds.
Comment 1 A (Andy) 2015-03-13 22:25:10 UTC
Reproducible with LO 4.4.1.2, Win 8.1

With "Extended tips" the URL path has line breaks which you don't have without "Extended tips".
Comment 2 V Stuart Foote 2015-03-20 01:11:56 UTC
On Windows 7 sp1, 64-bit en-US with

Version: 4.5.0.0.alpha0+
Build ID: 460b17d2712a80331a83329d2951f3e0303835cd
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-14_23:10:42
Locale: en_US

(In reply to V Stuart Foote from comment #0)
> Notice that on a recent builds of master, the "Extended tips" provides a
> tooltip of path including line breaks.  So it has been worked on, but is not
> correct in 4.4 builds.

This is no longer the case--issue of no tooltip when Extended tips is checked active, now is also affecting current builds of master. On mouseover seeing the "Click an icon on the left pane to open..." when Extended tips are checked active.
Comment 3 V Stuart Foote 2015-03-20 01:16:48 UTC
On Windows 7 sp1, 64-bit en-US with

Version: 4.5.0.0.alpha0+ (x64)
Build ID: 2f49c0bdd67919a5b75c2692d4a18f6a53f355fb
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-17_17:23:19
Locale: en_US

> This is no longer the case--issue of no tooltip when Extended tips is
> checked active, now is also affecting current builds of master. On mouseover
> seeing the "Click an icon on the left pane to open..." when Extended tips
> are checked active.

Hmmm, but with a 64-bit build, I am getting a file path--but with line breaks. This Pop-up looks to be of fixed width.
Comment 4 V Stuart Foote 2015-03-20 01:36:10 UTC
Checking most current 32-bit master for Windows 

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: en_US

again the no tool-tip behavior when extended tips are set.
Comment 5 QA Administrators 2016-11-08 12:04:16 UTC Comment hidden (obsolete)
Comment 6 V Stuart Foote 2016-11-08 14:41:24 UTC
Remains an issue through current 5.3.0alpha1+ builds of master.

Version: 5.3.0.0.alpha1+
Build ID: 05d2a66955f8a6552a79696474386ca9f45f9ef2
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-07_23:34:48
Locale: en-US (en_US); Calc: CL

With local help (en-US) installed.

When Tools -> Options -> LibreOffice -> General: Help "Extended tips" is checked active--mouse over tool-tip for thumbnails on the Start Center show a generic "Click an icon on the left..." message and not the full path of the document that is preferred.
Comment 7 Harald Koester 2017-04-28 21:41:48 UTC
*** Bug 73228 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2018-04-29 02:30:21 UTC Comment hidden (obsolete)
Comment 9 Harald Koester 2018-05-14 11:09:42 UTC
I checked this bug with version 6.0.4 (64 bit) on 2 systems:
Desktop, Win 10: Bug still exists.
Notebook, Win 7: Bug does not exist.

Then I exchanged the user profiles between the 2 systems. The bug moves together with the profile and the correct behaviour also moves to the other system.

And with a new user profile the bug also exists on both systems.
Comment 10 QA Administrators 2019-05-15 02:57:16 UTC Comment hidden (obsolete)
Comment 11 Harald Koester 2019-06-29 22:20:36 UTC
Tested with different versions. It seemed that in all 6.1.x and 6.2.x versions the bug does not occur any longer: With Extended Tips enabled the URLs are now displayed, if you move the mouse pointer above the icon of a former used document. 

So far so good but the other extended tips used in the Start Center (mouse above Open File, Remote Files, ...) are not displayed any longer also in versions 6.1.x and 6.2.x. May be this problem is already addressed in bug 120538. So I think it's better to wait until bug 120538 is fixed and then check this bug 89990 again before it is closed with WFM.